=== debian/changelog ===
freefilesync (11.18-1mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 24 Mar 2022 11:52:39 -0700

freefilesync (11.18-1+devuan) obs; urgency=medium

  * Upstream updates
    * Add comparison time to sync log when using GUI
    * Added user-configurable timeout for Google Drive
    * Consider port when comparing (S)FTP paths for equality
    * Fixed SFTP key file login error on OpenSSH_8.8p1
    * Add error details for NSFileReadUnknownError (macOS)
    * Disable new config button when already at default
    * Use user language instead of region locale during installation 
  * Bump required libcurl4-openssl-dev >= 7.82.0

 -- B. Stack <bgstack15@gmail.com>  Wed, 09 Mar 2022 09:38:41 -0500

freefilesync (11.17-1+devuan) obs; urgency=medium

  * Upstream updates
    * Show per-file progress in percent when copying large files
    * Log app initialization errors
    * Fixed uncaught exception after installation
    * Defer testing for third-party buggy DLLs until after crashing
    * Consider ReFS 128-bit file ID failure states (Windows)
    * Refer to volume by name: support names including brackets
    * Support local installation with non-standard home (Linux)

 -- B. Stack <bgstack15@gmail.com>  Sun, 06 Feb 2022 16:41:38 -0500

freefilesync (11.16-1+devuan) obs; urgency=medium

  * Upstream updates
    - Allow to select and remove invalid config file
    - Migrated all HTTPS requests to use libcurl (Linux, macOS)
    - Set keyboard focus on config panel after startup
    - Added computer name to log file trailer
    - Context menu instead of confirmation dialog for swap sides
    - Fixed config selection lost after auto-cleaning obsolete rows
    - Install app files with owner set to root (Linux)
    - Don't override keyboard shortcut "CTRL + W" (macOS)
    - Migrated key conversion routines deprecated in OpenSSL 3.0
    - Boxed app icon to fit OS theme (macOS)
    - Fixed manual retry after automatic update check error
    - Fixed missing ampersands in middle grid tooltip

 -- B. Stack <bgstack15@gmail.com>  Tue, 04 Jan 2022 10:52:55 -0500

freefilesync (11.15-1+devuan) obs; urgency=medium

  * Upstream updates
    - Play sound reminder when waiting for user confirmation
    - Enhanced crash diagnostics with known triggers
    - Defer reporting third-party incompatibilities until after crashing
    - Support running FreeFileSync from Dokany-based encrypted volumes
    - Fixed Server 2019 not being detected for log file
    - Use native representation for modified config (macOS)
    - Improved WinMerge detection for external app integration

 -- B. Stack <bgstack15@gmail.com>  Mon, 06 Dec 2021 08:39:50 -0500
