=== debian/changelog ===
freefilesync (12.0-2) unstable; urgency=medium

  * d/control: restore kfreebsd-* archs
  * fix build error on sh4 architecture

 -- Fab Stz <fabstz-it@yahoo.fr>  Mon, 20 Feb 2023 11:13:54 +0100

freefilesync (12.0-1) unstable; urgency=medium

  [ Fab Stz ]
  * d/patches: remove ffs_allow_parallel_ops.patch

  [ Jhonny Oliveira ]
  * d/rules: Remove no longer necessary fixperms
  * d/freefilesync.install: Install all files inside bin, instead of one by
    one hardcoded

  [ Fab Stz ]
  * New upstream version 12.0
  * refresh patches for 12.0

 -- Fab Stz <fabstz-it@yahoo.fr>  Mon, 30 Jan 2023 20:44:05 +0100

freefilesync (11.29-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2 (no change needed)
  * d/control: restore ppc64el Architecture

 -- Fab Stz <fabstz-it@yahoo.fr>  Tue, 20 Dec 2022 22:53:11 +0100

freefilesync (11.29-1) unstable; urgency=medium

  * New upstream release
  * refresh patches
  * d/rules: extract icons with 'unzip -u'
  * d/copyright: fix typo in License field label
  * fix build error on mipsel architecture
  * remove big-endian architectures
  * remove armel architecture
  * remove uncommon architectures that are not built by buildd

 -- Fab Stz <fabstz-it@yahoo.fr>  Fri, 16 Dec 2022 23:17:58 +0100

freefilesync (11.26-1) unstable; urgency=medium

  * Initial release. (Closes: #925512)

 -- Fab Stz <fabstz-it@yahoo.fr>  Fri, 07 Oct 2022 10:08:29 +0200
