=== debian/control ===
Source: freefilesync
Section: utils
Priority: optional
Maintainer: Fab Stz <fabstz-it@yahoo.fr>
Build-Depends: debhelper-compat (= 13),
               g++:native (>= 4:12),
               imagemagick,
               libcurl4-openssl-dev (>= 7.84),
               libglibmm-2.4-dev,
               libgtk-3-dev,
               libssh2-1-dev (>= 1.10),
               libssl-dev (>= 3.0~),
               libwxgtk3.2-dev,
               unzip,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://freefilesync.org/
Vcs-Browser: https://salsa.debian.org/bastif/freefilesync
Vcs-Git: https://salsa.debian.org/bastif/freefilesync.git

Package: freefilesync
Architecture: alpha amd64 arc arm64 armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips64el mipsel ppc64el riscv64 sh4 x32
Depends: xdg-utils, ${misc:Depends}, ${shlibs:Depends}
Description: Cross-platform file sync utility (GPL release)
 FreeFileSync is a folder comparison and synchronization software that
 creates and manages backup copies of all your important files. Instead
 of copying every file every time, FreeFileSync determines the
 differences between a source and a target folder and transfers only the
 minimum amount of data needed. FreeFileSync is Open Source software,
 available for Windows, Linux and macOS.
 .
 This is the "GPL release" which uses the sources as published by the author,
 as opposed to the "FreeFileSync Donation Edition".
