## freefilesync 12.5

=== debian/changelog ===
freefilesync (12.5-1) unstable; urgency=medium

  * d/rules: fix typo in comment
  * New upstream version 12.5
  * d/copyright: bump year
  * refresh patches for 12.5

 -- Fab Stz <fabstz-it@yahoo.fr>  Thu, 03 Aug 2023 22:13:36 +0200

freefilesync (12.4-2~exp1) experimental; urgency=medium

  [ Fab Stz ]
  * fix build error on armhf architecture

 -- Scott Talbert <swt@techie.net>  Tue, 27 Jun 2023 16:26:58 -0400

freefilesync (12.4-1) unstable; urgency=medium

  [ Jhonny Oliveira ]
  * New upstream version 12.1
  * d/patches/ffs_devuan.patch Refresh patch

  [ Fab Stz ]
  * d/control: update Description to mention it's a GUI
  * d/patches: revert buggy gtk3 change in 12.1

  [ Jhonny Oliveira ]
  * New upstream version 12.2
  * d/patches/*.patch Refresh all patches
  * New upstream version 12.3
  * d/patches/*.patch Refresh all patches
  * New upstream version 12.4
  * d/patches/*.patch Refresh all patches
  * d/patches/ffs_libssh2.patch Comment status codes not yet implemented in
    libssh2 v1.10.0

  [ Fab Stz ]
  * really add patch to loosen dependency on libssh2 version

 -- Fab Stz <fabstz-it@yahoo.fr>  Tue, 20 Jun 2023 22:00:00 +0200
