=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 Package: freefilesync
 Architecture: alpha amd64 arc arm64 armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips64el mipsel ppc64el riscv64 sh4 x32
 Depends: xdg-utils, ${misc:Depends}, ${shlibs:Depends}
-Description: Cross-platform file sync utility (GPL release)
+Description: Cross-platform file sync utility with GUI (GPL release)
  FreeFileSync is a folder comparison and synchronization software that
  creates and manages backup copies of all your important files. Instead
  of copying every file every time, FreeFileSync determines the
