=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 
 include /usr/share/dpkg/architecture.mk
 
+include /usr/share/dpkg/buildtools.mk
+
 # Produce .debug_info (used by dh_dwz)
 CXXFLAGS += -g
 
@@ -21,13 +23,11 @@
 DPKG_VENDOR = $(shell dpkg-vendor --query vendor)
 CPPFLAGS += -DAPP_NAME_SUFFIX='L" for ${DPKG_VENDOR}"'
 
-# Fix build error on mipsel
-ifeq ($(DEB_HOST_ARCH),mipsel)
-LDFLAGS += -latomic
-endif
-
-# Fix build error on sh4
-ifeq ($(DEB_HOST_ARCH),sh4)
+# Check if we need to link to libatomic
+# Used to be required on mipsel, sh4, armhf/raspbian
+IS_ATOMIC_LINKING_REQUIRED = $(shell $(CXX) -std=c++2b -o /dev/null debian/material/libatomic_check.cpp > /dev/null 2>&1 || echo "yes")
+ifeq ($(IS_ATOMIC_LINKING_REQUIRED),yes)
+$(warning linking to libatomic is required)
 LDFLAGS += -latomic
 endif
