=== debian/changelog ===
freefilesync (13.3-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 20 Jan 2024 21:22:26 -0800

freefilesync (13.3-1) unstable; urgency=medium

  [ Fab Stz ]
  * New upstream version 13.0
  * refresh patches

  [ Jhonny Oliveira ]
  * New upstream version 13.1
  * d/patches/Disable_..._handling.patch Add patch to deal with build error
  * d/patches/*.patch Refresh all patches

  [ Fab Stz ]
  * New upstream version 13.2
  * d/patches: disable ffs_traditional_view.patch
  * refresh patches
  * Revert "d/patches: disable ffs_traditional_view.patch"
  * refresh d/patches/ffs_traditional_view.patch using bgstacks'

  [ wuruilong ]
  * d/control: add support for loong64 arch (Closes: #1059080)

  [ Fab Stz ]
  * New upstream version 13.3
  * refresh patches

 -- Fab Stz <fabstz-it@yahoo.fr>  Tue, 09 Jan 2024 18:36:02 +0100
