=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: freefilesync
 Section: utils
 Priority: optional
-Maintainer: Fab Stz <fabstz-it@yahoo.fr>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Fab Stz <fabstz-it@yahoo.fr>
 Build-Depends: debhelper-compat (= 13),
                g++:native (>= 4:12),
                imagemagick,
@@ -11,7 +12,7 @@
                libssh2-1-dev (>= 1.10),
                libssl-dev (>= 3.0~),
                libwxgtk3.2-dev,
-               unzip,
+               unzip
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://freefilesync.org/
@@ -19,7 +20,7 @@
 Vcs-Git: https://salsa.debian.org/bastif/freefilesync.git
 
 Package: freefilesync
-Architecture: alpha amd64 arc arm64 armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips64el mipsel ppc64el riscv64 sh4 x32
+Architecture: alpha amd64 arc arm64 armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 loong64 mips64el mipsel ppc64el riscv64 sh4 x32
 Depends: xdg-utils, ${misc:Depends}, ${shlibs:Depends}
 Description: Cross-platform file sync utility with GUI (GPL release)
  FreeFileSync is a folder comparison and synchronization software that
