=== debian/rules ===
--- 
+++ 
@@ -61,3 +61,7 @@
 	  convert start_sync.png -filter Lanczos -resize $${size}x$${size} debian/freefilesync/usr/share/icons/hicolor/$${size}x$${size}/mimetypes/application-x-freefilesync-gui.png ; \
 	  convert RealTimeSync.png -filter Lanczos -resize $${size}x$${size} debian/freefilesync/usr/share/icons/hicolor/$${size}x$${size}/mimetypes/application-x-freefilesync-real.png ; \
 	done
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
