=== debian/changelog ===
freefilesync (13.7-2) unstable; urgency=medium

  * add patch to support curl 8.16. Closes: #1114108

 -- Fab Stz <fabstz-it@yahoo.fr>  Tue, 09 Sep 2025 07:33:37 +0200

freefilesync (13.7-1) unstable; urgency=medium

  [ Fab Stz ]
  * update header of d/p/pkg-config.patch
  * d/control: remove arc from the list or architectures

  [ Jhonny Oliveira ]
  * New upstream version 13.4
  * d/patches/*.patch Remove fix-gtk3... and refresh all patches

  [ Fab Stz ]
  * New upstream version 13.5
  * New upstream version 13.6
  * refresh patches
  * drop ffs_traditional_view.patch
  * d/control: bump Standards-Version to 4.7.0 (no change required)
  * d/p/libcurl_improve_supported_error_codes.patch: support curl 8.8.0
    (Closes: #1072759)
  * New upstream version 13.7
  * refresh patches

 -- Fab Stz <fabstz-it@yahoo.fr>  Wed, 26 Jun 2024 20:13:28 +0200

freefilesync (13.3-2) unstable; urgency=medium

  * add d/README.source to mention backporting
  * fix FTBFS when using libcurl 8.6.0
  * update patch headers to improve DEP-3 conformity and silence the warnings
    reported by https://udd.debian.org/patches.cgi
  * d/rules: mention that libatomic is also required on focal
  * remove ffs_desktop_notifications.patch which wasn't in use anyway
  * update 'Forwarded' field value in ffs_traditional_view.patch header
  * add patch to deactivate Google Drive button (+ related README.Debian)
  * rework the patch that skips Animal.dat and fix About dialog inconsistencies
  * d/control: add pkgconf to the build deps
  * d/control: remove build dep to libglibmm-2.4-dev
  * d/control: add zlib1g-dev to build-deps and update patches
  * d/control: add build-dep to libselinux1-dev
  * rename d/freefilesync.\(*\) to d/\1
  * add patch to remove upstream's build optimization -O3
  * d/README.Debian: mention a bug on backports in certain circumstances
  * put icons to debian/tmp in override_dh_auto_install
  * rework patch that fixes hang in KDE+Gtk3 and fix dialog size
  * d/control: remove g++:native from dependencies
  * d/rules: build with value of CXX variable used in d/rules
  * d/README.source explain how to build with a set version of g++

 -- Fab Stz <fabstz-it@yahoo.fr>  Sat, 10 Feb 2024 18:20:51 +0100
