=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: freefilesync
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Fab Stz <fabstz-it@yahoo.fr>
+Maintainer: Fab Stz <fabstz-it@yahoo.fr>
 Build-Depends: debhelper-compat (= 13),
-               g++:native (>= 4:12),
                imagemagick,
                libcurl4-openssl-dev (>= 7.84),
-               libglibmm-2.4-dev,
                libgtk-3-dev,
+               libselinux1-dev,
                libssh2-1-dev (>= 1.10),
                libssl-dev (>= 3.0~),
                libwxgtk3.2-dev,
-               unzip
-Standards-Version: 4.6.2
+               pkgconf,
+               unzip,
+               zlib1g-dev,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://freefilesync.org/
 Vcs-Browser: https://salsa.debian.org/bastif/freefilesync
 Vcs-Git: https://salsa.debian.org/bastif/freefilesync.git
 
 Package: freefilesync
-Architecture: alpha amd64 arc arm64 armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 loong64 mips64el mipsel ppc64el riscv64 sh4 x32
+Architecture: alpha amd64 arm64 armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 loong64 mips64el mipsel ppc64el riscv64 sh4 x32
 Depends: xdg-utils, ${misc:Depends}, ${shlibs:Depends}
 Description: Cross-platform file sync utility with GUI (GPL release)
  FreeFileSync is a folder comparison and synchronization software that
