=== debian/watch ===
version=4
https://freefilesync.org/download.php (?:.*/)?FreeFileSync_([\d\.]+)_(?:s|S)ource@ARCHIVE_EXT@
