## freefilesync 13.9

=== debian/changelog ===
freefilesync (13.9-0.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 09 Dec 2024 19:55:19 -0800

freefilesync (13.9-1xtradeb1.2404.1) noble; urgency=medium

  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Mon, 09 Dec 2024 09:25:00 +0100

freefilesync (13.8-1xtradeb1.2404.1) noble; urgency=medium

  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sat, 30 Nov 2024 16:18:07 +0100

freefilesync (13.7-1xtradeb1.2404.1) noble; urgency=medium

  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Tue, 25 Jun 2024 12:21:57 +0200

freefilesync (13.6-1xtradeb1.2404.1) noble; urgency=medium

  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Wed, 15 May 2024 20:33:52 +0200

freefilesync (13.4-1xtradeb1) mantic; urgency=medium

  [ Fab Stz ]
  * update header of d/p/pkg-config.patch
  * d/control: remove arc from the list or architectures

  [ Jhonny Oliveira ]
  * New upstream version 13.4
  * d/patches/*.patch Disable fix-gtk3... and refresh all patches

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sat, 17 Feb 2024 15:55:30 +0100
