=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: freefilesync
-Section: utils
+Section: non-free/utils
 Priority: optional
-Maintainer: Fab Stz <fabstz-it@yahoo.fr>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Jhonny Oliveira <jhonny.oliveira@gmail.com>
+Debian's-Original-Maintainer: Fab Stz <fabstz-it@yahoo.fr>
 Build-Depends: debhelper-compat (= 13),
                imagemagick,
                libcurl4-openssl-dev (>= 7.84),
@@ -12,12 +14,13 @@
                libwxgtk3.2-dev,
                pkgconf,
                unzip,
-               zlib1g-dev,
+               zlib1g-dev
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://freefilesync.org/
 Vcs-Browser: https://salsa.debian.org/bastif/freefilesync
 Vcs-Git: https://salsa.debian.org/bastif/freefilesync.git
+XS-Autobuild: yes
 
 Package: freefilesync
 Architecture: alpha amd64 arm64 armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 loong64 mips64el mipsel ppc64el riscv64 sh4 x32
